<?php
include("funciones/funciones_backup.php");
include("conexion/conexion.php");
include("Menu/menu_inicio.php");
include("Ordenes/ordenes.php");


$Est = $_POST['id_est'];
$f1 = $_POST['f1'];
$f2 = $_POST['f2'];
$IdMens = $_POST['id_mens'];
$nommens = $_POST['nom_mens'];

$nombrepagina = "PENDIENTES MENSAJERO " . $nommens;
EncabezadoSinMenu($target);
$user = $_SESSION['validar'];
$tamano_pagina = 20;
$_SESSION['tam'] = $tamano_pagina;
$pagina = $_GET["pagina"];
if (!$pagina) {
    $inicio = 0;
    $_SESSION['inicio'] = $inicio;
    $pagina = 1;
} else {
    $inicio = ($pagina - 1) * $tamano_pagina;
    $_SESSION['inicio'] = $inicio;
}
$filas = 1;
if ($filas == 1) {

    class llamado {

        var $menuObj;

        function validar1($id_user, $id_sucursal) {
            //$this->menuObj = new menu_inicio();
            //$this->menuObj->menu2($id_user, $id_sucursal);
        }

    }

    //$llamadoObj = new llamado();
    //$llamadoObj->validar1($_POST['id_user'], $_POST['suc']);
    //entrada($user, $_POST['id_user'], $_POST['suc']);
    echo"</td>";
    echo"<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
    //echo"<br><br>";
    mostrar_cabeza_trabajo($nombrepagina);



    if ($Est == '0') {
        $condicion = "";
        $StrTitulo = 'PLANILLADAS';
    }
    if ($Est == '13') {
        $condicion = " AND id_estado='13'";
        $StrTitulo = 'PENDIENTES';
    }
    if ($Est == '14') {
        $condicion = " and id_estado in(14,15)";
        $StrTitulo = 'ENTREGADAS';
    }
    if ($Est == '16') {
        $condicion = " and id_estado='16'";
        $StrTitulo = 'DEVOLUCION';
    }


    $sql_pendientes = "SELECT count(g.guia), g.orden, o.producto, c.nombre 
				FROM guias_proceso as g 
				inner join rastreo_guias as r on (g.guia=r.guia)
				inner join ordenes as o on (g.orden=o.orden) 
				inner join clientes as c on (o.id_cliente=c.id_cliente)
				WHERE id_mensajero = '" . $IdMens . "' " . $condicion . " 
				AND r.F13>='" . $f1 . "' AND r.F13<='" . $f2 . "' GROUP BY g.orden";

//echo $sql_pendientes;
//echo "<br>";
    class filas {

        var $rowsobj;

        function cantidad($sql_consulta) {
            $this->userObj = new select_zonas();
            $cant = $this->userObj->get_filas($sql_consulta);
            return $cant;
        }

    }

    $filasobj = new filas();
//$cant=$filasobj->cantidad($sql_pendientes);
    $total_paginas = 1;
    //ceil($cant/$tamano_pagina);
    $id_user = $_GET['id_user'];
    $id_sucursal = $_GET['suc'];
    ?>
    <CENTER> 
        <div style='overflow-x:scroll;overflow-y:scroll;width:750px;height:500px'>
        <table width="720" border="0" class="primaria">
            <tr class="miTable_tr">
                <td valign=top class=miTable_th1 width="70"><div align="center">ODS</div></td>
                <td valign=top class=miTable_th1 width="200"><div align="center">CLIENTE</div></td>
                <td valign=top class=miTable_th1 width="200"><div align="center">PRODUCTO</div></td>
                <td valign=top class=miTable_th1 width="50"><div align="center"><? echo $StrTitulo; ?></div></td>
            </tr>
            <?

            class elimina {

                var $userObj;

                function eliminar($tabla, $id_mens, $f1, $f2, $condicion) {
                    $tamano_pagina = $_SESSION['tam'];
                    $inicio = $_SESSION['inicio'];
                    $this->userObj = new select_zonas();
                    $this->userObj->registros_pendientes($inicio, $tamano_pagina, $_GET['id_user'], $_GET['suc'], $tabla, $id_mens, $f1, $f2, $condicion);
                }

            }

            $eliminaObj = new elimina();
            $eliminaObj->eliminar("guias_proceso", $id_mens, $f1, $f2, $condicion);
            ?>
            </tr>
            <tr class=miTable_tr>
                <td class=miTable_td colspan="9">
                    <div align="center">
                        <?
                        if ($total_paginas > 1) {
                            echo "Paginas:";
                            //echo "&nbsp;&nbsp;"; 
                            $start = ( $pagina - 5 > 0 ? $pagina - 5 : 1 );
                            if ($start > 1) {
                                print "&nbsp;<a href=ver_pendiente_general.php?pagina=" . ($start - 1) . "&id_user=$id_user&suc=$id_sucursal&id_mens=$id_mens&tabla=$tabla&nommens=$nommens&f1=$f1&f2=$f2'> << </A>";
                            }
                            for ($i = 0; $i < 10 && $total_paginas >= $start + $i; $i++) {
                                if ($pagina == $start + $i) {
                                    print "&nbsp;&nbsp;" . ($start + $i);
                                } else {
                                    print "&nbsp;&nbsp;<a href='ver_pendiente_general.php?pagina=" . ($start + $i) . "&id_user=$id_user&suc=$id_sucursal&id_mens=$id_mens&tabla=$tabla&nommens=$nommens&f1=$f1&f2=$f2'>" . ($start + $i) . " </A>";
                                }
                            }
                            if ($start + $i < $total_paginas) {
                                print "&nbsp;&nbsp;<a href='ver_pendiente_general.php?pagina=" . ($start + $i) . "&id_user=$id_user&suc=$id_sucursal&id_mens=$id_mens&tabla=$tabla&nommens=$nommens&f1=$f1&f2=$f2'> >> </A>";
                            }
                        }
                        ?>
                    </div>
                </td>
            </tr>

        </table>
    </form>    
    </CENTER>


    <?
    echo"</td>";
    echo"</tr>";
    echo"</table>";
    echo"</div>";
    echo"<table width=800 border=0 align=center cellpadding=0 cellspacing=0>";
    mostrar_pie();
}
echo"</td>";
echo"</tr>";
echo"</table>";
echo"<table width=503 border=0 align=center cellpadding=0 cellspacing=0>";
echo"<tbody><tr>";
echo"<td></td>";
echo"</tr>";
echo"<tr>";
echo"<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
echo"</tr>";
echo"<tr>";
?>
<td>
<center>
    <? pie_de_pagina(); ?>
</center>
</td>
<?php
echo"</tr>";
echo"</tbody></table>";

echo"</center>";
echo"</body>";
echo"</html>";
?>